Skip to content

List Unmatched

GET
/matching/unmatched
curl --request GET \
--url 'https://example.com/matching/unmatched?direction=expected'

Both directions with aging: expected-but-missing (late bills) and posted-but-unexpected (new-spend triage).

direction
Direction
string
default: expected
Allowed values: expected posted

Successful Response

Media typeapplication/json
Response List Unmatched Matching Unmatched Get
Array<object>
UnmatchedOut
object
aging_days
required
Aging Days
integer
amount
required
Any of:
string
date
required
Date
string format: date
description
required
Any of:
string
has_proposed_match
required
Has Proposed Match
boolean
payee
required
Any of:
string
proposal_id
Any of:
string format: uuid
proposed_posted_id
Any of:
string format: uuid
transaction_id
required
Transaction Id
string format: uuid

Example generated

[
{
"aging_days": 1,
"amount": "example",
"date": "2026-04-15",
"description": "example",
"has_proposed_match": true,
"payee": "example",
"proposal_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"proposed_posted_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"transaction_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}